%define compatv 72
%{?compatv:%define compatfv 7.2}

%define _phplib %{_libdir}/php%{?compatv}
%define _extdir %{_phplib}/extensions

Summary: execdir %{?compatfv} php extension
Summary(ko): php %{?compatfv} KRISP 확장
Name: php%{?compatv}-execdir
Version: 1.0.3
Release: 1%{?dist}
Epoch: 1
Group: Development/Languages
License: PHP
URL: https://github.com/OOPS-ORG-PHP/mod_execdir
Source0: https://github.com/OOPS-ORG-PHP/mod_execdir/archive/v%{version}.tar.gz#/mod_execdir-%{version}.tar.gz

BuildRoot: /var/tmp/%{name}-root
BuildRequires: php%{?compatv}-devel

%description
jailed system function on php. Run only the shell command in the specified directory 

%prep
%setup -q -n mod_execdir-%{version}

%build

/usr/bin/phpize%{?compatv}

CFLAGS="${RPM_OPT_FLAGS}"
./configure --with-execdir=/var/lib/php%{?compatv}/bin

%{__make} %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" -a -d "%{buildroot}" ] && %{__rm} -rf %{buildroot}

%{__mkdir_p} %{buildroot}%{_extdir}

%{__install} -m755 modules/execdir.so %{buildroot}%{_extdir}/execdir.so

%{__mkdir_p} %{buildroot}%{_sysconfdir}/php%{?compatv}.d/{apache,fpm}
for i in apache fpm
do
	%{__cat} > %{buildroot}%{_sysconfdir}/php%{?compatv}.d/$i/execdir.ini <<EOF
extension = execdir.so

; only executables located in the exec_dir will be allowed to be executed
; via the exec family of functions.
; see also https://github.com/OOPS-ORG-PHP/mod_execdir
;exec_dir = /var/lib/php%{compatv}/bin

; vim: set filetype=dosini
EOF
done

%clean
[ "%{buildroot}" != "/" -a -d "%{buildroot}" ] && %{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%attr(755,root,root) %{_extdir}/execdir.so
%config(noreplace) %{_sysconfdir}/php%{?compatv}.d/apache/execdir.ini
%config(noreplace) %{_sysconfdir}/php%{?compatv}.d/fpm/execdir.ini

%changelog
* Sat Feb 10 2018 JoungKyun.Kim <http://oops.org> 1:1.0.3-1%{?dist}
- first packaged

